From 503d4fb35d167b5cac34a49dbda41aef7892a838 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 21 2017 10:50:26 +0000
Subject: [PATCH 860/1001] Deploy the webserver config in prod mode only


---

diff --git a/ansible/files/motd b/ansible/files/motd
index 6c75466..fdd814a 100644
--- a/ansible/files/motd
+++ b/ansible/files/motd
@@ -7,7 +7,7 @@ Here are some tips:
 
 * You can type `workon hubs` to enter a configured Python virtualenv
 
-* Run `hup` to start gunicorn
+* Run `hup` to start the flask webserver
 
 * Run `hreset` to delete the database and repopulate it
 
diff --git a/ansible/roles/hubs/files/logging.ini b/ansible/roles/hubs/files/logging.ini
new file mode 100644
index 0000000..3512fa6
--- /dev/null
+++ b/ansible/roles/hubs/files/logging.ini
@@ -0,0 +1,23 @@
+# From https://docs.python.org/2/howto/logging.html
+[loggers]
+keys=root
+
+[handlers]
+keys=console
+
+[formatters]
+keys=simple
+
+[logger_root]
+level=DEBUG
+handlers=console
+
+[handler_console]
+class=StreamHandler
+level=DEBUG
+formatter=simple
+args=(sys.stdout,)
+
+[formatter_simple]
+format=[%(asctime)s][%(process)d][%(levelname)s] (%(name)s) %(message)s
+datefmt=%H:%M:%S
